# GearmanWorker::setOptions

(PECL gearman >= 0.5.0)

GearmanWorker::setOptions — Définit les options de l'agent

### Description

public GearmanWorker::setOptions(int `$option`): true

Définit une ou plusieurs options de l'agent.

### Liste de paramètres

`option`

  Les options à définir.

### Valeurs de retour

Retourne toujours `true`.

### Voir aussi

- GearmanWorker::options() - Récupère les options de l'agent
- GearmanWorker::addOptions() - Ajout des options à l'agent
- GearmanWorker::removeOptions() - Supprime des options de l'agent
- GearmanClient::setOptions() - Définit les options du client